/******************************************************************************
 * $Id: fmsctl.h,v 1.23 1996/05/02 19:41:12 jimkiel Exp $
 *
 * Copyright 2004 Fisher-Rosemount Systems, Inc. - All rights reserved
 *
 * Description:
 *
 *	This file contains style definitions for the Parameter custom control.
 *
 * $Revision: 10 $
 *****************************************************************************/

#ifndef __FMSCTL_H
#define __FMSCTL_H

#ifdef __cplusplus
extern "C" {            /* Assume C declarations for C++ */
#endif


// Define Parameter Style bits used for control. Note that some of the
// standard window styles are overridden.
// Note: PS_BITENUM is a bulb for Fieldbus or HART. It is also a checkbox for 
// HART devices only - if the DD handling is read-only, it will be a bulb. If 
// it is the DD handling read/write, it will be a check box.
#define PS_EDIT  			0x00000001L	// Edit control
#define PS_COMBO 			0x00000002L	// Combo box
#define PS_LIST  			0x00000004L	// List box (deprecated, do not use)
#define PS_GROUP  			0x00000008L	// Group of radio buttons (deprecated, do not use)
#define PS_BITENUM 	   		0x00000010L	// Bit enumerated control as bulb (and HART checkbox)
#define PS_NOTPARAM 		0x00000020L	// Do NOT append !Param to moniker.
#define PS_BITENUM_BOX		0x00000040L	// Bit enumerated control as check box (Fieldbus only)
#define PS_FORCE_XFER		0x00000040L // Forces the transfer on read only params (HART only)		  
#define PS_MULTILINE 		0x00000080L	// Multi-line edit control
#define PS_NOLABEL   		0x00000100L	// Do not display Label
#define PS_NOUNITS   		0x00000200L	// Do not display units
#define PS_PERCENT   		0x00000400L	// Graphic Control: Percent Bar Graph.
#define PS_NOMETHODS 		0x00000800L	// Suppress running pre/post edit methods.
#define PS_TEMP 			0x00001000L	// Graphic control: Thermometer
#define PS_GAUGE 			0x00002000L	// Graphic Control: Gauge meter
#define PS_READONLY			0x00004000L	// Force read only control
#define PS_SHORTLABELS		0x00008000L	// Use shorttened label and units strings.
#define PS_LONGLABEL		0x00040000L	// Use long label length. Redefined WS_THICKFRAME
#define PS_NORMALLONGLABEL	0x00080000L	// Use between normal and long label. Redefined WS_SYSMENU
#define PS_EX_SORT			0x00100000L	// Used to sort list boxes or combo boxes
#define PS_FULLLABEL	    0x00400000L // Use "FullLabel" information from server. Redefined WS_DLGFRAME

// The styles below are defined in winuser.h.  These styles OR'd together account for the
// four most significant digits in 0x5001XXXX which are required for all parameter controls.
// #define WS_TABSTOP		0x00010000L	
// #define WS_VISIBLE		0x10000000L	
// #define WS_CHILD			0x40000000L	



#ifdef __cplusplus
}
#endif

#endif // __FMSCTL_H
